<?php 

$lzGoogleFonts = getFonts(true);


$wp_customize->add_section(
	'peccular_premium_general_section',
	array(
		'title' => __( 'Font Setting', 'peccular Premium' ),
		'panel' => 'peccular_general_panel'
	)
);

$wp_customize->add_setting(
	'peccular_general_headeing_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '15'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_headeing_font',
		array(
			'settings'=> 'peccular_general_headeing_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('Heading Fonts/Title Fonts', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'peccular_general_text_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '33'
	)
);
$wp_customize->add_control(
	new peccular_Font_Chooser(
		$wp_customize,
		'peccular_general_text_font',
		array(
			'settings'=> 'peccular_general_text_font',
			'section' => 'peccular_premium_general_section',
			'label'=>__('Body/Text Font', 'peccular Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);